
Katello - Bug #6808

UI - Cannot add repositories to custom products 

07/28/2014 05:45 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1124058 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/449
Description

1) Create a product

2) Add a repo

3) Now add that repo to a CV and publish

4) Go back to the Products page and select the product -> repositories

5) Notice that the create repository button is disabled.

Associated revisions

Revision 41586542 - 07/31/2014 04:27 PM - Walden Raines

Fixes #6808/BZ1124058: fixing permissions of product buttons.

Several product buttons were using the incorrect permission

in determining whether to disable the buttons.  This commit

fixes these incorrect permissions.

http://projects.theforeman.org/issues/6808

https://bugzilla.redhat.com/show_bug.cgi?id=1124058

Revision a8499b25 - 07/31/2014 04:27 PM - Walden Raines

Fixes #6808/BZ1124058: fixing permissions of product buttons.

Several product buttons were using the incorrect permission

in determining whether to disable the buttons.  This commit

fixes these incorrect permissions.

http://projects.theforeman.org/issues/6808

https://bugzilla.redhat.com/show_bug.cgi?id=1124058

Revision 88de8e64 - 08/05/2014 09:53 PM - Walden Raines

Merge pull request #4499 from waldenraines/6808

Fixes #6808/BZ1124058: fixing permissions of product buttons.

Revision d7b002d1 - 08/05/2014 09:53 PM - Walden Raines

Merge pull request #4499 from waldenraines/6808

Fixes #6808/BZ1124058: fixing permissions of product buttons.

History

#1 - 07/28/2014 05:46 PM - Partha Aji

- Bugzilla link set to 1124058

#2 - 07/29/2014 11:20 AM - Walden Raines

- Status changed from New to Assigned
- Assignee changed from Partha Aji to Walden Raines

#3 - 07/29/2014 05:40 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4499 added

- Pull request deleted ()

#4 - 08/01/2014 04:30 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/05/2014 10:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|41586542e823eaa07355d0e1de1a7e692a6c951a.

#6 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
